DROP TABLE IF EXISTS person;
CREATE TABLE person (
  id        BIGINT AUTO_INCREMENT PRIMARY KEY,
  name      VARCHAR(128),
  firstname VARCHAR(128),
  gender ENUM('', 'male', 'female') NOT NULL DEFAULT '',
  groups SET('', 'a', 'b', 'c')     NOT NULL DEFAULT ''
);

#
# Create Demo Form
INSERT INTO person (id, name, firstname, gender, groups) VALUES
  (NULL, 'Doe', 'John', 'male', 'c'),
  (NULL, 'Smith', 'Jane', 'female', 'a,c');
